Solana RPC
getLeaderSchedule
getLeaderSchedule returns the Solana leader schedule for an epoch — the validator producing blocks in each slot, for leader-aware transaction routing.
POST
/
getLeaderSchedule
curl --request POST \
--url 'https://mainnet.helius-rpc.com/?api-key=' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "1",
"method": "getLeaderSchedule",
"params": [
null
]
}
'import requests
url = "https://mainnet.helius-rpc.com/?api-key="
payload = {
"jsonrpc": "2.0",
"id": "1",
"method": "getLeaderSchedule",
"params": [None]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: '1', method: 'getLeaderSchedule', params: [null]})
};
fetch('https://mainnet.helius-rpc.com/?api-key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": "1",
"result": {}
}{
"jsonrpc": "2.0",
"error": {
"code": -32602,
"message": "Invalid params"
}
}{
"jsonrpc": "2.0",
"error": {
"code": -32001,
"message": "Unauthorized"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32005,
"message": "Too many requests"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32603,
"message": "Internal error"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32002,
"message": "Service unavailable"
},
"id": "1"
}{
"jsonrpc": "2.0",
"error": {
"code": -32003,
"message": "Gateway timeout"
},
"id": "1"
}Request Parameters
number
required
Epoch or slot number to retrieve the leader schedule for. If omitted, returns the schedule for the current epoch.
string
The commitment level for the request.
confirmedfinalizedprocessed
string
Optional validator identity public key to filter results for a specific validator’s schedule only.
Authorizations
Body
application/json
The JSON-RPC protocol version.
Available options:
2.0 Example:
"2.0"
A unique identifier for the request.
Example:
"1"
The name of the RPC method to invoke.
Available options:
getLeaderSchedule Example:
"getLeaderSchedule"
Parameters for the method.
Epoch or slot number to retrieve the leader schedule for. If omitted, returns the schedule for the current epoch.
Example:
null
Response
Successfully retrieved the leader schedule.
Was this page helpful?
⌘I
getLeaderSchedule
